#!/bin/bash

wget http://www.asterisk-support.de/mirror/zaptel/zaptel-1.2.5.tar.gz
wget http://www.asterisk-support.de/mirror/libpri/libpri-1.2.2.tar.gz
wget http://www.asterisk-support.de/mirror/asterisk-1.2.7.1/asterisk-1.2.7.1.tar.gz

gzip -d ./*.gz

tar -xf zaptel-1.2.5.tar
tar -xf libpri-1.2.2.tar
tar -xf asterisk-1.2.7.1.tar

ln -s zaptel-1.2.5 zaptel

cd zaptel
patch -p1 < ../patches/zaptel.patch
cd ..

cd libpri-1.2.2
patch -p1 < ../patches/libpri.patch
cd ..

cd asterisk-1.2.7.1
patch -p1 < ../patches/asterisk.patch
cd ..

echo "****************************************************"
echo "         Downloading and patching finished."
echo "****************************************************"
